#include <iostream>
#include <cstdarg>
using namespace std;

int sum(int, ...);

int main() {
	cout << "Sum of 1 2 3 and 4 = " << sum (4, 1, 2, 3, 4) << endl;
	cout << "Sum of 3 7 and 13 = " << sum (3, 3, 7, 13) << endl;

	return EXIT_SUCCESS;
}

int sum(int number, ...) {
	va_list args;
	int n, k, total=0;
	va_start (args, number); // create structure for argument list
	for(k = 0; k < number; k++) {
		n = va_arg (args, int); // get an argument
		total += n;
	}
	va_end (args); // clean up
	return total;
}

