#include <iostream>
#include <iomanip>
using namespace std;

double power1 (double, int);
double power2 (double, int);

int main() {
	double x;
	int n;
	cout << "x = ";
	cin >> x;
	cout << "n = ";
	cin >> n;

	cout.setf(ios::fixed, ios::floatfield);
	for (int i = 0; i < n; i++) {
		cout << "power (" << x << ", " << i << ") = " ;
		cout << setw(12) << power1(x, i) << " # " << setw(12) << power2(x, i);
		cout << endl;
	}

	return EXIT_SUCCESS;
}

double power1 (double x, int n) {
	double p = 1.0;
	for(int i = 0; i < n; i++) p *= x;
	return p;
}

double power2 (double x, int n) {
	double p = 1.0;
	while(n--) p *= x;
	return p;
}

